> ## Documentation Index
> Fetch the complete documentation index at: https://docs.instantrestapi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Temporary Key

> Returns a new temporary beta API key valid for 24 hours



## OpenAPI

````yaml GET /temporary-key
openapi: 3.0.1
info:
  title: OpenAPI Plant Store
  description: >-
    A sample API that uses a plant store as an example to demonstrate features
    in the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://instantrestapi.com/api/
security: []
paths:
  /temporary-key:
    get:
      description: Returns a new temporary beta API key valid for 24 hours
      parameters: []
      responses:
        '200':
          description: Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/api-key'
components:
  schemas:
    api-key:
      type: object
      properties:
        api-key:
          type: string

````